--Programm für ESP8266
gpio0=3
gpio2=4
gpio3=9
gpio4=2
gpio5=1
gpio9=11
gpio10=12
gpio13=7
gpio12=6
gpio14=5
gpio15=8
gpio16=0

wifi.setmode(wifi.SOFTAP)
cfg={}
cfg.ssid="1044.27"             
cfg.pwd="12345678"             
wifi.ap.config(cfg)            
print('ip:',wifi.ap.getip())
led1=3                         
led2=4     
pwm1=gpio12
pwm2=gpio14      
duty=0                          
gpio.mode(led1, gpio.OUTPUT)   
gpio.mode(led2, gpio.OUTPUT)   
gpio.mode(pwm1, gpio.OUTPUT)   
gpio.mode(pwm2, gpio.OUTPUT)   
pwm.setup(pwm1,1000,1023)
pwm.setup(pwm2,1000,1023)
pwm.setduty(pwm1,0)
pwm.setduty(pwm2,0)
pwm.start(pwm1)
pwm.start(pwm2)
srv=net.createServer(net.TCP)  
srv:listen(80,function(conn)   
    conn:on("receive", function(client,request)
        local buf="";
        local _,_,method,path,vars=string.find(request, "([A-Z]+) (.+)?(.+) HTTP");
        if(method==nil)then
            _,_,method,path=string.find(request,"([A-Z]+) (.+) HTTP");
        end
        local _GET={}
        if (vars~=nil)then
            for k, v in string.gmatch(vars, "(%w+)=(%w+)&*") do
                _GET[k]=v
            end
        end
        
        --Website
        --buf = buf.."<head>";
        --buf = buf.."<meta http-equiv=refresh content=1;192.168.4.1";
        --buf = buf.."<head/>";
        buf = buf.."<h1>1044.21<br><br></h1>";
        buf = buf.."<p><h1><a href=\"?pin=Vor\"><button>Vor</button></a>&nbsp;&nbsp;&nbsp;&nbsp;</p></h1>";
        buf = buf.."<p><h1><a href=\"?pin=Stop\"><button>Stop</button></a>&nbsp;&nbsp;&nbsp;&nbsp;</p></h1>";
        buf = buf.."<p><h1><a href=\"?pin=Ret\"><button>Ret</button></a>&nbsp;&nbsp;&nbsp;&nbsp;</p></h1>";
        buf = buf.."<p><h1>Licht&nbsp;&nbsp;<a href=\"?pin=ON1\"><button>Ein</button></a>&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"?pin=OFF1\"><button>Aus</button></a></p></h1>";
        buf = buf.."<p><h1>F2   &nbsp;&nbsp;<a href=\"?pin=ON2\"><button>Ein</button></a>&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"?pin=OFF2\"><button>Aus</button></a></p></h1>";
        buf = buf.."<p>ADC Value: "..duty.."</p><br>";      
       
       local _on,_off = "",""
        if(_GET.pin=="ON1")then
              gpio.write(led1, gpio.HIGH);
              print('F1=1')
        elseif(_GET.pin=="OFF1")then
              gpio.write(led1, gpio.LOW);
              print('F1=0')
        elseif(_GET.pin=="ON2")then
              gpio.write(led2, gpio.HIGH);
              print('F2=1')
        elseif(_GET.pin=="OFF2")then
              gpio.write(led2, gpio.LOW);
              print('F2=0')
        elseif(_GET.pin=="Vor")then
              if duty<1000 then 
               duty=duty+100 
              end
              if duty>0 then 
               pwm.setduty(pwm1, duty)
               pwm.setduty(pwm2, 0)
              else 
               pwm.setduty(pwm2, duty*(-1))
               pwm.setduty(pwm1, 0)
              end 
              print('Vor ',duty)
        elseif(_GET.pin=="Stop")then
              duty=0
              pwm.setduty(pwm1, 0)
              pwm.setduty(pwm2, 0)
              print('Stop ',duty)
        elseif(_GET.pin=="Ret")then
              if duty>-1000 then 
               duty=duty-100 
              end
              if duty<0 then 
               pwm.setduty(pwm2, duty*(-1))
               pwm.setduty(pwm1, 0)
              else 
               pwm.setduty(pwm1, duty)
               pwm.setduty(pwm2, 0)
              end 
              print('Ret ',duty)
        end
        
        --Ausg1
        value=gpio.read(led1)
        if value==gpio.High then
           buf=buf.."<p><b>Licht=Ein</b></p>";
        else
           buf=buf.."<p><b>Licht=Aus</b></p>";
        end
        
        --Ausg2
        value=gpio.read(led2)
        if value==gpio.High then
           buf=buf.."<p><b>F2 =Ein</b></p>";
        else
           buf=buf.."<p><b>F2 =Aus</b></p>";
        end

        client:send(buf);
        client:close();
        collectgarbage();
    end)
end)
